Description

During the Hannover Active Contributor Team meeting, it has been decided the Core will ship advanced metadata for sys_file. This is
going to be packed within a Core extension which will not be activated by default. The extension is to be activated when advanced
metadata are required.

The main benefit of this approach is to have unified metadata in TYPO3. As a result, third-party extensions can build upon a common
base preventing everyone comes up with each one set of metadata.

Related issues:
related to Core - Task # 54237: filemetadata adds extremely slow MM-relation ... Resolved 2013-12-06

Associated revisions
Revision df73316a - 2013-10-15 15:55 - Fabien Udriot

[FEATURE] Advanced metadata for File

The Core provides advanced metadata for File within a Core
extension "filemetadata". The extension is not activated
by default but can be when advanced metadata are needed.

The main benefit is to have unified metadata in TYPO3.
As a result, third-party extensions can build upon a common
base preventing segmentation.
History
#1 - 2013-10-13 21:13 - Fabien Udriot
- Subject changed from Advance metadata for File to Advanced metadata for File

#2 - 2013-10-14 00:34 - Gerrit Code Review
- Status changed from New to Under Review
http://wiki.typo3.org/T3CMS_Code_Sprint_2013_Hannover
https://review.typo3.org/24715


Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24715

#3 - 2013-10-14 00:47 - Fabien Udriot

FYI, there are two documents that explain and justify the choices

    -  https://docs.google.com/spreadsheet/ccc?key=0Aoin66UoNopqdHpTbDAzOGc4SEFJWWVBRkt3WEdzaGc#gid=0
    -  https://docs.google.com/spreadsheet/ccc?key=0ArkjxZWP-A6QdHlHOG8ycGxYT1RkVmhkaTc1aWpadVE&#38;usp=sharing#gid=0

#4 - 2013-10-15 13:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24715

#5 - 2013-10-15 13:06 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24715

#6 - 2013-10-15 13:13 - Fabien Udriot

Testing instruction:

    -  Apply the patch
    -  Activate EXT:filemetadata
    -  Open File module and edit meta data (don't forget to enable "Extended view" because of #52835)
    -  In "sys_file_metadata" manually change field "type" with value 0,1,2,3,4,5 and see different TCEforms.

-> I had to add a field "type" at the level of sys_file_metadata too. This enable to load different set of metadata according to a file type. The field
"sys_file_metadata.type" must be kept in sync with "sys_file.type" upon indexation. Perhaps it can be solved differently but I don't see how.

#7 - 2013-10-15 13:46 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24715

#8 - 2013-10-15 14:25 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24715

#9 - 2013-10-15 15:50 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24715

#10 - 2013-10-15 16:30 - Fabien Udriot
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:df73316a942141418285df633c2f0f18dfb59d7b.
